#ifndef STACK_
#define STACK_

#include <stddef.h>

struct stack;

struct stack * stack_new(size_t const max);
void stack_delete(struct stack * s);
void * stack_push(struct stack * s, void * elem);
void * stack_pop(struct stack * s);
size_t stack_size(struct stack * s);

#endif
