#ifndef RING_BUFFER_
#define RING_BUFFER_

#include <stddef.h>

struct ring_buffer;

struct ring_buffer * ring_buffer_new(size_t const size);
void ring_buffer_delete(struct ring_buffer * rb);
void * ring_buffer_write(struct ring_buffer * rb, void * elem);
void * ring_buffer_read(struct ring_buffer * rb);
size_t ring_buffer_size(struct ring_buffer * rb);

#endif
